/* Mobile View */
@media (max-width: 767.98px) {
  /* Mobile Global */
  .desktop {
    display: none;
  }

  .mobile {
    display: flex;
  }

  /* Mobile Header */
  header {
    padding: 16px;
    border: none;
    align-items: center;
    justify-content: space-between;
    position: sticky;
    top: 0;
    background-color: #fff;
    z-index: 20;
  }

  .menu {
    width: 30px;
    height: 30px;
    align-items: center;
    justify-content: center;
  }

  .logo {
    gap: 6.94px;
  }

  .profile-picture {
    width: 30px;
    height: 30px;
    align-items: center;
    justify-content: center;
  }

  /* Mobile Sidebar */
  .sidebar {
    margin: 0;
    padding: 98px 0 0;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background-color: #fff;
    transform: translateX(-100%);
    z-index: 10;
  }

  #sidebar.visible {
    transform: translateX(0);
    display: flex;
  }

  .sidebar > div:first-of-type {
    padding: 0 21px;
    height: 100%;
  }

  .mobile-footer {
    position: sticky;
    bottom: 0;
    background-color: #000;
    color: #fff;
    display: block;
    padding: 20px 16px;
    max-height: fit-content;
    margin-bottom: 0;
  }

  .mobile-footer ul a {
    padding: 0;
    margin: 0;
  }

  .mobile-footer p {
    margin-top: 20px;
    color: #c7c7c7;
    font-weight: 300;
    font-size: 16px;
  }

  .logout {
    margin: 20px 0 12px;
  }

  /* Mobile Main */
  main {
    padding: 0;
  }

  .main-container-mobile {
    padding: 17px;
  }

  main p {
    font-size: 14px;
  }

  main h2 {
    font-size: 24px;
  }

  /* Mobile Video and Clock-in/out Section */
  .video-clock-in-container {
    flex-wrap: wrap;
    gap: 40px;
  }

  .video-clock-in-container video {
    max-width: 100%;
    width: 100%;
  }

  .clock-in-container {
    width: 100%;
  }

  .current-date {
    width: 100%;
    justify-content: center;
    align-items: center;
  }

  .current-date-top {
    background-color: #eaf8e1;
    font-weight: 500;
    font-size: 15px;
    text-align: center;
    justify-content: center;
    align-items: center;
    gap: 16px;
    padding: 8px 12px;
    margin-bottom: 24px;
  }

  .clock-in-title h1 {
    font-size: 36px;
  }

  .clock-in-title img {
    width: 74px;
  }

  /* Mobile Training Section */
  .training-section {
    flex-wrap: wrap;
    gap: 40px;
  }

  /* Mobile Live Training */
  .training-info-container {
    margin: 0;
  }

  .live-training-container > h3,
  .training-info h3,
  .training-schedule-title h3 {
    font-size: 16px;
  }

  .training-schedule-container {
    gap: 3px;
  }

  /* Mobile Task List */
  .mobile-task-list {
    margin: 0;
    padding: 20px;
    width: 100%;
    display: block;
    border: 1px solid #f3f3f3;
    border-radius: var(--radius-large);
  }

  .task-list-search {
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }

  .task-list-search h3 {
    font-size: 16px;
  }

  .task-info-container {
    gap: 20px;
  }

  .task-info{
    background-color: var(--green-training-background);
    border: 1px solid #edf7f0;
    border-radius: var(--radius-large);
    padding: 12px;
    gap: 16px;
  }

  .task-title h3 {
    font-weight: 600;
    font-size: 16px;
  }

  .task-title p {
    font-size: 14px;
    color: #6c6f6d;
  }

  .date-status {
    justify-content: space-between;
    align-items: center;
  }

  .select-status {
    padding: 7px 0;
    margin: 0;
  }

  .task-description {
    text-overflow: ellipsis;
    overflow: hidden;
  }

  .task-description h3 {
    margin-bottom: 8px;
    font-weight: 500;
    font-size: 16px;
  }

  .task-description p {
    max-height: 66px;
    color: var(--secondary-text);
  }

  /* Mobile Upcoming Training */
  .upcoming-training-list {
    padding: 12px;
  }

  .upcoming-training-list.mobile {
    display: block;
  }

  .training-date,
  .upcoming-training-time,
  .upcoming-training-type,
  .upcoming-training-status,
  .task-date {
    font-size: 12px;
  }

  /* Mobile Assigned Courses */
  .course-card {
    width: 100%;
  }

  .course-description h4 {
    font-size: 16px;
  }

  .course-description p {
    font-size: 12px;
  }

  /* Quiz */
  .quiz-start-container {
    flex-wrap: wrap;
  }

  /* Training End --- Testimonials Start*/
  .news-update-container {
    flex-direction: column;
    padding: 10px;
  }

  .news-section {
    flex: 1; /* Allow content to take available space */
    display: flex; /* Use Flexbox for layout */
    flex-direction: column; /* Stack items vertically */
  }

  .news-content h4,
  .news-content p,
  .testimonials-div div h4,
  .testimonials-div div p {
    max-width: 100%; /* Ensure h4 takes full width */
    overflow: hidden; /* Hide overflow */
    text-overflow: ellipsis; /* Show ellipsis when text overflows */
  }

  .news-update-div {
    max-width: 766px; /* Allow full width on mobile */
    width: 90vw; /* Set width to 90% of the viewport width */
    padding: 10px; /* Adjust padding for mobile */
    margin-bottom: 10px; /* Adjust margin for mobile */
  }

  .date-news {
    margin-left: 5px;
  }

  .testimonials-content {
    flex: 1; /* Allow content to take available space */
    display: flex; /* Use Flexbox for layout */
    flex-direction: column; /* Stack items vertically */
  }

  .testimonials-div {
    max-width: 766px; /* Allow full width on mobile */
    width: 90vw; /* Set width to 90% of the viewport width */
    padding: 10px; /* Adjust padding for mobile */
    margin-bottom: 10px; /* Adjust margin for mobile */
  }
  /*Testimonials End ---- My Portfolio Begins*/

  .resume-container {
    display: flex;
    align-items: stretch;
    flex-direction: column;
    margin: 0;
    gap: 20px;
  }

  .upload-resume,
  .resume-download-container {
    max-width: 100%; /* Allow sections to take full width */
  }

  .resume-container > .upload-resume {
    margin: 0px;
  }

  .upload-resume {
    justify-content: center;
    align-items: center;
  }

  .resume-download-container {
    max-width: 767px;
  }

  .resume-header h2 {
    max-width: 197px;
    height: 84px;
    font-weight: 600;
    font-size: 36px;
    line-height: 42.19px;
    letter-spacing: 0%;
  }

  .assignment-row{
    flex-wrap: wrap;
    width: 100%;
  }

  .assignment-row input{
    width: 100%;
  }

  .assignment-row select{
    width: 100%;
  }

  .remove-row-btn{
    margin-top: 5px;
  }
}

@media (max-width: 900px) {
  .assignment-row{
    flex-wrap: wrap;
    width: 100%;
    display: block;
  }

  .assignment-row input{
    width: 100%;
  }

  .assignment-row select{
    width: 100%;
  }

  .remove-row-btn{
    margin-top: 5px;
  }
}

/* Other View */
@media (max-width: 1015px) {
  .quiz-start-container {
    gap: 20px;
  }

  .quiz-number-container {
    gap: 10px;
    min-width: 250px;
    max-width: 250px;
  }
}

@media (max-width: 1046px) {
  /* .view-participants-container {
    flex-wrap: wrap;
  } */
}

@media (max-width: 1145px) {
  .view-participants-container {
    font-size: 15px;
  }

  button.view-registrants {
    min-width: 10px;
    padding: 0;
    text-wrap: wrap;
    font-size: 10px;
  }
}

@media (max-width: 1320px) {
  .video-clock-in-container video{
    max-width: 500px;
  }
}